### Enumeration

# Soup WebsocketDataType

since: 3.0

#### Declaration

    enum Soup.WebsocketDataType

#### Description [src]

The type of data contained in a `SoupWebsocketConnection::message` signal.

Available since: 3.0

#### Members

`SOUP_WEBSOCKET_DATA_TEXT`

  UTF-8 text.

  - Value: `1`
  - Nickname: `text`
  - Available since: 3.0
`SOUP_WEBSOCKET_DATA_BINARY`

  Binary data.

  - Value: `2`
  - Nickname: `binary`
  - Available since: 3.0